Bug 485534 - Amarok crash day by day
Amarok crash day by day
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 18:20 EST by Patrick Kasper
Modified: 2009-04-27 13:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Amarok 2.0.1
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 13:52:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Kasper 2009-02-13 18:20:10 EST
Please fix my favorit musik player amarok!
It crash every day 

I am have Fedora 10 use KDE 4.2.0 and the version of Amarok is 2.0.1

   1.
      Anwendung: Amarok (amarok), Signal SIGSEGV
   2.
      [Current thread is 1 (Thread 0xb7f7ba90 (LWP 3247))]
   3.
   4.
      Thread 18 (Thread 0xb65e5b90 (LWP 3396)):
   5.
      #0 0x00611416 in __kernel_vsyscall ()
   6.
      #1 0x0076f432 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
   7.
      #2 0x036d0c51 in ?? () from /usr/lib/libxine.so.1
   8.
      #3 0x0076b51f in start_thread () from /lib/libpthread.so.0
   9.
      #4 0x00e7404e in clone () from /lib/libc.so.6
  10.
  11.
      Thread 17 (Thread 0xb5be4b90 (LWP 3456)):
  12.
      [KCrash Handler]
  13.
      #6 0x00d1c850 in Phonon::MediaSource::type () from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
  14.
      #7 0x00d24b19 in Phonon::MediaSource::type () from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
  15.
      #8 0x0705868c in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
  16.
      #9 0x070604ce in QApplication::notify () from /usr/lib/libQtGui.so.4
  17.
      #10 0x040821c1 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
  18.
      #11 0x04082e45 in QCoreApplicationPrivate::sendPostedEvents () from /usr/lib/libQtCore.so.4
  19.
      #12 0x0408303d in QCoreApplication::sendPostedEvents () from /usr/lib/libQtCore.so.4
  20.
      #13 0x040acbaf in ?? () from /usr/lib/libQtCore.so.4
  21.
      #14 0x007b8238 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
  22.
      #15 0x007bb8e3 in ?? () from /lib/libglib-2.0.so.0
  23.
      #16 0x007bbaa1 in g_main_context_iteration () from /lib/libglib-2.0.so.0
  24.
      #17 0x040ac7f8 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
  25.
      #18 0x0408088a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
  26.
      #19 0x04080a4a in QEventLoop::exec () from /usr/lib/libQtCore.so.4
  27.
      #20 0x03f8e4d9 in QThread::exec () from /usr/lib/libQtCore.so.4
  28.
      #21 0x00d16802 in Phonon::MediaSource::type () from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
  29.
      #22 0x03f9175e in ?? () from /usr/lib/libQtCore.so.4
  30.
      #23 0x0076b51f in start_thread () from /lib/libpthread.so.0
  31.
      #24 0x00e7404e in clone () from /lib/libc.so.6
  32.
  33.
      Thread 16 (Thread 0xb51e3b90 (LWP 3457)):
  34.
      #0 0x00611416 in __kernel_vsyscall ()
  35.
      #1 0x00e69777 in poll () from /lib/libc.so.6
  36.
      #2 0x03ef4937 in ?? () from /usr/lib/libpulse.so.0
  37.
      #3 0x09d51620 in ?? ()
  38.
      #4 0x00000002 in ?? ()
  39.
      #5 0xffffffff in ?? ()
  40.
      #6 0xffffffff in ?? ()
  41.
      #7 0x00000000 in ?? ()
  42.
  43.
      Thread 15 (Thread 0xb079fb90 (LWP 3458)):
  44.
      #0 0x00611416 in __kernel_vsyscall ()
  45.
      #1 0x0076f105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
  46.
      #2 0x036e3064 in ?? () from /usr/lib/libxine.so.1
  47.
      #3 0x0076b51f in start_thread () from /lib/libpthread.so.0
  48.
      #4 0x00e7404e in clone () from /lib/libc.so.6
  49.
  50.
      Thread 14 (Thread 0xafc1ab90 (LWP 3460)):
  51.
      #0 0x00611416 in __kernel_vsyscall ()
  52.
      #1 0x0076f105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
  53.
      #2 0x083cd28e in os_event_wait_low () from /usr/lib/mysql/libmysqld.so.0
  54.
      #3 0x083c9f71 in os_aio_simulated_handle () from /usr/lib/mysql/libmysqld.so.0
  55.
      #4 0x082538ad in fil_aio_wait () from /usr/lib/mysql/libmysqld.so.0
  56.
      #5 0x0850723e in ?? () from /usr/lib/mysql/libmysqld.so.0
  57.
      #6 0x0076b51f in start_thread () from /lib/libpthread.so.0
  58.
      #7 0x00e7404e in clone () from /lib/libc.so.6
  59.
  60.
      Thread 13 (Thread 0xae7c1b90 (LWP 3461)):
  61.
      #0 0x00611416 in __kernel_vsyscall ()
  62.
      #1 0x0076f105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
  63.
      #2 0x083cd28e in os_event_wait_low () from /usr/lib/mysql/libmysqld.so.0
  64.
      #3 0x083c9f71 in os_aio_simulated_handle () from /usr/lib/mysql/libmysqld.so.0
  65.
      #4 0x082538ad in fil_aio_wait () from /usr/lib/mysql/libmysqld.so.0
  66.
      #5 0x0850723e in ?? () from /usr/lib/mysql/libmysqld.so.0
  67.
      #6 0x0076b51f in start_thread () from /lib/libpthread.so.0
  68.
      #7 0x00e7404e in clone () from /lib/libc.so.6
  69.
  70.
      Thread 12 (Thread 0xaddc0b90 (LWP 3462)):
  71.
      #0 0x00611416 in __kernel_vsyscall ()
  72.
      #1 0x0076f105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
  73.
      #2 0x083cd28e in os_event_wait_low () from /usr/lib/mysql/libmysqld.so.0
  74.
      #3 0x083c9f71 in os_aio_simulated_handle () from /usr/lib/mysql/libmysqld.so.0
  75.
      #4 0x082538ad in fil_aio_wait () from /usr/lib/mysql/libmysqld.so.0
  76.
      #5 0x0850723e in ?? () from /usr/lib/mysql/libmysqld.so.0
  77.
      #6 0x0076b51f in start_thread () from /lib/libpthread.so.0
  78.
      #7 0x00e7404e in clone () from /lib/libc.so.6
  79.
  80.
      Thread 11 (Thread 0xad3bfb90 (LWP 3463)):
  81.
      #0 0x00611416 in __kernel_vsyscall ()
  82.
      #1 0x0076f105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
  83.
      #2 0x083cd28e in os_event_wait_low () from /usr/lib/mysql/libmysqld.so.0
  84.
      #3 0x083c9f71 in os_aio_simulated_handle () from /usr/lib/mysql/libmysqld.so.0
  85.
      #4 0x082538ad in fil_aio_wait () from /usr/lib/mysql/libmysqld.so.0
  86.
      #5 0x0850723e in ?? () from /usr/lib/mysql/libmysqld.so.0
  87.
      #6 0x0076b51f in start_thread () from /lib/libpthread.so.0
  88.
      #7 0x00e7404e in clone () from /lib/libc.so.6
  89.
  90.
      Thread 10 (Thread 0xabb2eb90 (LWP 3465)):
  91.
      #0 0x00611416 in __kernel_vsyscall ()
  92.
      #1 0x00e6c3d1 in select () from /lib/libc.so.6
  93.
      #2 0x083cd75a in os_thread_sleep () from /usr/lib/mysql/libmysqld.so.0
  94.
      #3 0x08503790 in srv_lock_timeout_and_monitor_thread () from /usr/lib/mysql/libmysqld.so.0
  95.
      #4 0x0076b51f in start_thread () from /lib/libpthread.so.0
  96.
      #5 0x00e7404e in clone () from /lib/libc.so.6
  97.
  98.
      Thread 9 (Thread 0xab12db90 (LWP 3466)):
  99.
      #0 0x00611416 in __kernel_vsyscall ()
 100.
      #1 0x00e6c3d1 in select () from /lib/libc.so.6
 101.
      #2 0x083cd75a in os_thread_sleep () from /usr/lib/mysql/libmysqld.so.0
 102.
      #3 0x085025d9 in srv_error_monitor_thread () from /usr/lib/mysql/libmysqld.so.0
 103.
      #4 0x0076b51f in start_thread () from /lib/libpthread.so.0
 104.
      #5 0x00e7404e in clone () from /lib/libc.so.6
 105.
 106.
      Thread 8 (Thread 0xaa72cb90 (LWP 3467)):
 107.
      #0 0x00611416 in __kernel_vsyscall ()
 108.
      #1 0x0076f105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
 109.
      #2 0x083cd28e in os_event_wait_low () from /usr/lib/mysql/libmysqld.so.0
 110.
      #3 0x085017e9 in srv_master_thread () from /usr/lib/mysql/libmysqld.so.0
 111.
      #4 0x0076b51f in start_thread () from /lib/libpthread.so.0
 112.
      #5 0x00e7404e in clone () from /lib/libc.so.6
 113.
 114.
      Thread 7 (Thread 0xa86b1b90 (LWP 3490)):
 115.
      #0 0x00611416 in __kernel_vsyscall ()
 116.
      #1 0x00e6c3d1 in select () from /lib/libc.so.6
 117.
      #2 0x04061627 in ?? () from /usr/lib/libQtCore.so.4
 118.
      #3 0x03f9175e in ?? () from /usr/lib/libQtCore.so.4
 119.
      #4 0x0076b51f in start_thread () from /lib/libpthread.so.0
 120.
      #5 0x00e7404e in clone () from /lib/libc.so.6
 121.
 122.
      Thread 6 (Thread 0xa7cb0b90 (LWP 3492)):
 123.
      #0 0x00611416 in __kernel_vsyscall ()
 124.
      #1 0x0076f105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
 125.
      #2 0x03f927a2 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
 126.
      #3 0x00d76e58 in ?? () from /usr/lib/libthreadweaver.so.4
 127.
      #4 0x00d79bfc in ?? () from /usr/lib/libthreadweaver.so.4
 128.
      #5 0x00d75a3b in ?? () from /usr/lib/libthreadweaver.so.4
 129.
      #6 0x00d79cfa in ?? () from /usr/lib/libthreadweaver.so.4
 130.
      #7 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 131.
      #8 0x00d79d19 in ?? () from /usr/lib/libthreadweaver.so.4
 132.
      #9 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 133.
      #10 0x00d79d19 in ?? () from /usr/lib/libthreadweaver.so.4
 134.
      #11 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 135.
      #12 0x00d79d19 in ?? () from /usr/lib/libthreadweaver.so.4
 136.
      #13 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 137.
      #14 0x00d79d19 in ?? () from /usr/lib/libthreadweaver.so.4
 138.
      #15 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 139.
      #16 0x00d77cce in ?? () from /usr/lib/libthreadweaver.so.4
 140.
      #17 0x00d7830b in ThreadWeaver::Thread::run () from /usr/lib/libthreadweaver.so.4
 141.
      #18 0x03f9175e in ?? () from /usr/lib/libQtCore.so.4
 142.
      #19 0x0076b51f in start_thread () from /lib/libpthread.so.0
 143.
      #20 0x00e7404e in clone () from /lib/libc.so.6
 144.
 145.
      Thread 5 (Thread 0xa72afb90 (LWP 3493)):
 146.
      #0 0x00611416 in __kernel_vsyscall ()
 147.
      #1 0x0076f105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
 148.
      #2 0x03f927a2 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
 149.
      #3 0x00d76e58 in ?? () from /usr/lib/libthreadweaver.so.4
 150.
      #4 0x00d79bfc in ?? () from /usr/lib/libthreadweaver.so.4
 151.
      #5 0x00d75a3b in ?? () from /usr/lib/libthreadweaver.so.4
 152.
      #6 0x00d79cfa in ?? () from /usr/lib/libthreadweaver.so.4
 153.
      #7 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 154.
      #8 0x00d77cce in ?? () from /usr/lib/libthreadweaver.so.4
 155.
      #9 0x00d7830b in ThreadWeaver::Thread::run () from /usr/lib/libthreadweaver.so.4
 156.
      #10 0x03f9175e in ?? () from /usr/lib/libQtCore.so.4
 157.
      #11 0x0076b51f in start_thread () from /lib/libpthread.so.0
 158.
      #12 0x00e7404e in clone () from /lib/libc.so.6
 159.
 160.
      Thread 4 (Thread 0xa68aeb90 (LWP 3494)):
 161.
      #0 0x00611416 in __kernel_vsyscall ()
 162.
      #1 0x0076f105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
 163.
      #2 0x03f927a2 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
 164.
      #3 0x00d76e58 in ?? () from /usr/lib/libthreadweaver.so.4
 165.
      #4 0x00d79bfc in ?? () from /usr/lib/libthreadweaver.so.4
 166.
      #5 0x00d75a3b in ?? () from /usr/lib/libthreadweaver.so.4
 167.
      #6 0x00d79cfa in ?? () from /usr/lib/libthreadweaver.so.4
 168.
      #7 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 169.
      #8 0x00d79d19 in ?? () from /usr/lib/libthreadweaver.so.4
 170.
      #9 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 171.
      #10 0x00d77cce in ?? () from /usr/lib/libthreadweaver.so.4
 172.
      #11 0x00d7830b in ThreadWeaver::Thread::run () from /usr/lib/libthreadweaver.so.4
 173.
      #12 0x03f9175e in ?? () from /usr/lib/libQtCore.so.4
 174.
      #13 0x0076b51f in start_thread () from /lib/libpthread.so.0
 175.
      #14 0x00e7404e in clone () from /lib/libc.so.6
 176.
 177.
      Thread 3 (Thread 0xa5eadb90 (LWP 3495)):
 178.
      #0 0x00611416 in __kernel_vsyscall ()
 179.
      #1 0x0076f105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
 180.
      #2 0x03f927a2 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
 181.
      #3 0x00d76e58 in ?? () from /usr/lib/libthreadweaver.so.4
 182.
      #4 0x00d79bfc in ?? () from /usr/lib/libthreadweaver.so.4
 183.
      #5 0x00d75a3b in ?? () from /usr/lib/libthreadweaver.so.4
 184.
      #6 0x00d79cfa in ?? () from /usr/lib/libthreadweaver.so.4
 185.
      #7 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 186.
      #8 0x00d79d19 in ?? () from /usr/lib/libthreadweaver.so.4
 187.
      #9 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 188.
      #10 0x00d79d19 in ?? () from /usr/lib/libthreadweaver.so.4
 189.
      #11 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 190.
      #12 0x00d79d19 in ?? () from /usr/lib/libthreadweaver.so.4
 191.
      #13 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 192.
      #14 0x00d79d19 in ?? () from /usr/lib/libthreadweaver.so.4
 193.
      #15 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 194.
      #16 0x00d79d19 in ?? () from /usr/lib/libthreadweaver.so.4
 195.
      #17 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 196.
      #18 0x00d79d19 in ?? () from /usr/lib/libthreadweaver.so.4
 197.
      #19 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 198.
      #20 0x00d79d19 in ?? () from /usr/lib/libthreadweaver.so.4
 199.
      #21 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 200.
      #22 0x00d79d19 in ?? () from /usr/lib/libthreadweaver.so.4
 201.
      #23 0x00d773e3 in ?? () from /usr/lib/libthreadweaver.so.4
 202.
      #24 0x00d77cce in ?? () from /usr/lib/libthreadweaver.so.4
 203.
      #25 0x00d7830b in ThreadWeaver::Thread::run () from /usr/lib/libthreadweaver.so.4
 204.
      #26 0x03f9175e in ?? () from /usr/lib/libQtCore.so.4
 205.
      #27 0x0076b51f in start_thread () from /lib/libpthread.so.0
 206.
      #28 0x00e7404e in clone () from /lib/libc.so.6
 207.
 208.
      Thread 2 (Thread 0xa4931b90 (LWP 3498)):
 209.
      #0 0x00611416 in __kernel_vsyscall ()
 210.
      #1 0x00e6c3d1 in select () from /lib/libc.so.6
 211.
      #2 0x036fc27a in xine_usec_sleep () from /usr/lib/libxine.so.1
 212.
      #3 0x036df535 in ?? () from /usr/lib/libxine.so.1
 213.
      #4 0x0076b51f in start_thread () from /lib/libpthread.so.0
 214.
      #5 0x00e7404e in clone () from /lib/libc.so.6
 215.
 216.
      Thread 1 (Thread 0xb7f7ba90 (LWP 3247)):
 217.
      #0 0x00611416 in __kernel_vsyscall ()
 218.
      #1 0x0076f432 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
 219.
      #2 0x03f91169 in ?? () from /usr/lib/libQtCore.so.4
 220.
      #3 0x03f9129b in QThread::msleep () from /usr/lib/libQtCore.so.4
 221.
      #4 0x00d3c4a4 in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
 222.
      #5 0x004a4c62 in ?? () from /usr/lib/libphonon.so.4
 223.
      #6 0x004a2195 in ?? () from /usr/lib/libphonon.so.4
 224.
      #7 0x0408275b in qt_call_post_routines () from /usr/lib/libQtCore.so.4
 225.
      #8 0x07062158 in QApplication::~QApplication () from /usr/lib/libQtGui.so.4
 226.
      #9 0x079ea73e in KApplication::~KApplication () from /usr/lib/libkdeui.so.5
 227.
      #10 0x079f18f8 in KUniqueApplication::~KUniqueApplication () from /usr/lib/libkdeui.so.5
 228.
      #11 0x0465eebb in App::~App () from /usr/lib/libamaroklib.so.1
 229.
      #12 0x0804c28c in _start ()

http://fpaste.org/paste/3607
Comment 1 Jon Dufresne 2009-02-16 13:59:15 EST
Thank you for taking the time to report this bug. This bug report isn't very
useful because it doesn't describe the bug well. If you have time and can
still reproduce the bug, please read
http://fedoraproject.org/wiki/BugsAndFeatureRequests and add a more useful
description to this bug.

You'll also need to add a stack trace; please make sure you have debuginfo
packages installed and see http://fedoraproject.org/wiki/StackTraces
for more information about getting a useful stack trace.
Thank you.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Steven M. Parrish 2009-03-16 20:23:28 EDT
Thank you for the bug report.  This issue needs to be addressed by the upstream developers.  Please submit a report at http://bugs.kde.org. You are requested to add the bugzilla link here for tracking purposes. Please make sure the bug isn't already in the upstream bug tracker before filing it.
Comment 3 Steven M. Parrish 2009-04-27 13:52:51 EDT
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present.  Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.